Bug 208471 - devel/gradle: Add missing dependency
Summary: devel/gradle: Add missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://beefy6.nyi.freebsd.org/data/10...
Keywords: patch, patch-ready
Depends on:
Blocks: 208470
  Show dependency treegraph
 
Reported: 2016-04-02 19:38 UTC by Tobias Kortkamp
Modified: 2016-07-10 07:23 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-
pi: merge-quarterly+


Attachments
gradle.diff (1.01 KB, patch)
2016-04-02 19:38 UTC, Tobias Kortkamp
koobs: maintainer-approval+
Details | Diff
Synth test log (13.98 KB, text/x-log)
2016-04-02 19:40 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-04-02 19:38:07 UTC
Created attachment 168907 [details]
gradle.diff

java/openjfx8-devel fails to build with Gradle 2.12:
> Caused by: java.lang.UnsatisfiedLinkError: /wrkdirs/usr/ports/java/openjfx8-devel/work/dot-gradle/native/19/freebsd-amd64/libnative-platform.so: Shared object "libstdc++.so.6" not found, required by "libnative-platform.so"
>	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
>	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941)
>	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1824)
>	at java.lang.Runtime.load0(Runtime.java:809)
>	at java.lang.System.load(System.java:1086)
>	at net.rubygrapefruit.platform.internal.NativeLibraryLoader.load(NativeLibraryLoader.java:45)

Gradle uses native-platform which has compiled its native component with g++, and requires that libstdc++.so.6 is available. See https://github.com/adammurdoch/native-platform/issues/8.

See the attached patch for a fix.  While there I also changed the start script to use sh instead of bash.

java/openjfx8-devel itself requires additional fixes to build again, which are in bug #208470.
Comment 1 Tobias Kortkamp freebsd_committer 2016-04-02 19:40:22 UTC
Created attachment 168908 [details]
Synth test log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-09 16:10:36 UTC
Comment on attachment 168907 [details]
gradle.diff

maintainer timeout, implicit approval
Comment 3 Kurt Jaeger freebsd_committer 2016-07-09 17:47:21 UTC
testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2016-07-09 18:44:19 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-07-09 18:44:29 UTC
A commit references this bug:

Author: pi
Date: Sat Jul  9 18:43:41 UTC 2016
New revision: 418287
URL: https://svnweb.freebsd.org/changeset/ports/418287

Log:
  devel/gradle: Add missing dependency

  Gradle uses native-platform which has compiled its native component
  with g++, and requires that libstdc++.so.6 is available. See
  https://github.com/adammurdoch/native-platform/issues/8.

  PR:		208471
  MFH:		2016Q3
  Submitted by:	Tobias Kortkamp <t@tobik.me>
  Approved by:	gasol.wu@gmail.com (maintainer timeout)

Changes:
  head/devel/gradle/Makefile
  head/devel/gradle/files/gradle.in
Comment 6 commit-hook freebsd_committer 2016-07-10 07:22:21 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 10 07:21:56 UTC 2016
New revision: 418302
URL: https://svnweb.freebsd.org/changeset/ports/418302

Log:
  devel/gradle: Add missing dependency

  Gradle uses native-platform which has compiled its native component
  with g++, and requires that libstdc++.so.6 is available. See
  https://github.com/adammurdoch/native-platform/issues/8.

  PR:		208471
  MFH:		r418287
  Submitted by:	Tobias Kortkamp <t@tobik.me>
  Approved by:	portmgr

Changes:
_U  branches/2016Q3/
  branches/2016Q3/devel/gradle/Makefile
  branches/2016Q3/devel/gradle/files/gradle.in